| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
Qore::SourceLocationInfo Struct Reference

source location information More...

`#include <QC_Program.dox.h>`

## Public Attributes
bool | builtin
| if True then the code is builtin and there is no user source location
int | endline
| the ending source line number
*string | file
| the file name or parse label for the code
int | line
| the starting source line number
int | offset
| the offset line in the source (for when multiple source objects are defined from the same source)
*string | source
| the source object or file name tag (used when multiple source objects are defined from the same source)

## Detailed Description

source location information

Since
  Qore 0.9